Auteur Sujet: sudo parrot-upgrade erreur Parrot Security  (Lu 6385 fois)

0 Membres et 1 Invité sur ce sujet

Hors ligne Frenchcore44
  • Membre régulier
  • **
  • Messages: 97
  • +2/-0
sudo parrot-upgrade erreur Parrot Security
« le: 13 janvier 2019 à 13:33:31 »
Salut, peut-etre pour certains mon sujet n'a rien n'a faire dans se forum, c'est pour ça que j'ai décidé de posez mon problèmes dans la section Vrac, j'aurais pu la poster dans problèmes d'installation mais je vais laissez prioritaire les personnes qui utilise kali linux

Je vous explique mon problèmes, après l'installation de parrot os, j'ai effectuer une mise a jour, sauf certains packet n'était introuvables, ducoup je me suis dit il faut que je modifi ou mettre a jours ma sources.list
Ducoup je me suis rendu sur le site officiel de parrot pour suivre les étape  https://www.parrotsec.org/docs/faq/#what-should-my-sourceslist-look-like

En premier il c'est ecrit que je doit faire la mise a jours avec sudo parrot-upgrade

sudo parrot-upgrade
Err:1 http://downloads.metasploit.com/data/releases/metasploit-framework/apt lucid InRelease
  Ne parvient pas à résoudre « 127.0.0. »
Err:2 http://deb.parrotsec.org/parrot stable InRelease
  Ne parvient pas à résoudre « 127.0.0. »
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Tous les paquets sont à jour.
W: Impossible de récupérer http://downloads.metasploit.com/data/releases/metasploit-framework/apt/dists/lucid/InRelease  Ne parvient pas à résoudre « 127.0.0. »
W: Impossible de récupérer http://deb.parrotsec.org/parrot/dists/stable/InRelease  Ne parvient pas à résoudre « 127.0.0. »
W: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Et après

sudo apt update sudo apt full-upgrade
[sudo] Mot de passe de qzlmr : 
E: La commande de mise à jour ne prend pas de paramètre

Plus bas il c'est ecrit que /etc/apt/sources.list doit etre contenir rien
et que /etc/apt/sources.list.d/parrot.list doit contenir deb http://deb.parrotsec.org/parrot stable main contrib non-free

cat /etc/apt/sources.list.d/parrot.list
deb http://deb.parrotsec.org/parrot stable main contrib non-free

Je ne comprend pas pourquoi le apt-get update ne marche alors que j'ai respecter a lettre les consignes ecrit sur le site officiel de parrot, si quelqun a déjà rencontrer se problèmes ou a sa sources.list a jours sur parrot sa serais sympas d'en faire part
Merci d'avence aurevoir


>l3$ 3l1t3$ 0l1garc1qu3$ m0nd1al1st3 et l3ur$ ma1tr3s 0ccult3s v0us r3m3rc13nts d3 v0tr3 part1c1pat10ns à l'av3nc33 d3 la m1s3 3n plac3 du n0uv3l 0rdr3 m0ndial
 
0rd0 Ab Cha0 / P0ur V0tr3 S3cur1t3 V0u$ N' @ur3z P1u$ D3 L1b1t33 / Qu1 @pp@rti3nt L3 p@ss3 @pp@rti3nt L3 Pr3s3nt / % P0ur M13uX R3gn3r

En ligne Snk

  • Modérateur
  • Membre Elite
  • *****
  • Messages: 1675
  • +112/-1
  • Multiboot Linux - Kali en Amateur - python(A)
Re : sudo parrot-upgrade erreur Parrot Security
« Réponse #1 le: 13 janvier 2019 à 20:11:41 »
Salut!

Je ne connais pas cette commande... 'sudo parrot-upgrade'??  :o
J'ai déjà eu plusieurs parrot et je fesais les maj normalement... Enfin s'il te l'ont dit... Mais, perso, je préfére utiliser les commandes classiques.

La commande "sudo apt update sudo apt full-upgrade" ne peut pas marcher, il faut soit un ";" soit un "&&" ou le faire en 2fois: ( D'ou le message d'erreur de ton terminal)
sudo apt update && sudo apt dist-upgrade
Sans oublier de nettoyer après tout ce qui est inutile..

Sinon va dans "software-properties-gtk" et regardes quel serveur est utilisé, choisis "le plus adapté a ma situation géographique", recharge le cache, fermes et 8 fois sur 10 c'est juste cela...  ;D

En espérant t'avoir aidé!!
(PS: Alors tu pense quoi de sn3rpOs?? Franchement, +complet, +personnalisé et +joli, et surtout, le +important, anonimisé direct aprés install avec tor+privoxy... malgré que j'apprécie aussi parrot)

Tchao
Snk
« Modifié: 13 janvier 2019 à 21:00:52 par snk »
A l'époque c'était système_D (Comme démerdes-toi!)
On ne gagne pas sa Liberté , On choisi de la prendre!
Membre du P.L.F, Bill Gate$ suck'$.
Anti GAFAM - Brûlons les tous!
Eux, c'est les pommes, et vous les poires...

Hors ligne Frenchcore44
  • Membre régulier
  • **
  • Messages: 97
  • +2/-0
Re : sudo parrot-upgrade erreur Parrot Security
« Réponse #2 le: 13 janvier 2019 à 21:21:57 »
Re, Salut, désolé je n'est pas pu tester sn3rpOs du a une mauvaisse connection j'e n'est pas eu le temp de l'installers, sinon comment tu fait pour entrez dans le répertoire software-properties-gtk ? j'ai essayer avec locate, je ne trouve pas, mais je pense que le problèmes vien de ma sources.list sauf tout les documentation que je trouve sur le web pour les repot parrot ne marche pas pour moi
>l3$ 3l1t3$ 0l1garc1qu3$ m0nd1al1st3 et l3ur$ ma1tr3s 0ccult3s v0us r3m3rc13nts d3 v0tr3 part1c1pat10ns à l'av3nc33 d3 la m1s3 3n plac3 du n0uv3l 0rdr3 m0ndial
 
0rd0 Ab Cha0 / P0ur V0tr3 S3cur1t3 V0u$ N' @ur3z P1u$ D3 L1b1t33 / Qu1 @pp@rti3nt L3 p@ss3 @pp@rti3nt L3 Pr3s3nt / % P0ur M13uX R3gn3r

Hors ligne Frenchcore44
  • Membre régulier
  • **
  • Messages: 97
  • +2/-0
Re : sudo parrot-upgrade erreur Parrot Security
« Réponse #3 le: 13 janvier 2019 à 21:35:00 »
sudo apt update && sudo apt dist-upgrade
[sudo] Mot de passe de qzlmr : 
Err:1 http://deb.parrotsec.org/parrot stable InRelease
  Ne parvient pas à résoudre « 127.0.0. »
Err:2 http://downloads.metasploit.com/data/releases/metasploit-framework/apt lucid InRelease
  Ne parvient pas à résoudre « 127.0.0. »
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Tous les paquets sont à jour.
W: Impossible de récupérer http://downloads.metasploit.com/data/releases/metasploit-framework/apt/dists/lucid/InRelease  Ne parvient pas à résoudre « 127.0.0. »
W: Impossible de récupérer http://deb.parrotsec.org/parrot/dists/stable/InRelease  Ne parvient pas à résoudre « 127.0.0. »
W: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
>l3$ 3l1t3$ 0l1garc1qu3$ m0nd1al1st3 et l3ur$ ma1tr3s 0ccult3s v0us r3m3rc13nts d3 v0tr3 part1c1pat10ns à l'av3nc33 d3 la m1s3 3n plac3 du n0uv3l 0rdr3 m0ndial
 
0rd0 Ab Cha0 / P0ur V0tr3 S3cur1t3 V0u$ N' @ur3z P1u$ D3 L1b1t33 / Qu1 @pp@rti3nt L3 p@ss3 @pp@rti3nt L3 Pr3s3nt / % P0ur M13uX R3gn3r

En ligne Snk

  • Modérateur
  • Membre Elite
  • *****
  • Messages: 1675
  • +112/-1
  • Multiboot Linux - Kali en Amateur - python(A)
Re : sudo parrot-upgrade erreur Parrot Security
« Réponse #4 le: 13 janvier 2019 à 21:44:59 »
Tu vas dans applications, ou il y a tout les prog, il doit y avoir une barre de recherche, et tu tapes "logiciel" ensuite tu dois voir apparaitre "logiciels et mise a jour" ou un truc dans le genre.
Sinon dans le terminal tu tapes:
sudo software-properties-gtk
Et tu modifies le serveur, c'est souvent juste cela... Normalement, cela doit suffir...
Par contre je trouve louche dans le retour que tu envoies, qu'il te parles de 127.0.0. ?? Il devrait te mettre un ip?? Pas la boucle locale! En+ il manque un chiffre...  :o
Je trouve louche aussi qu'il ne dois rien y avoir dans le sources.list, car il doit y avoir les repos de parrot, obligatoirement, par contre il ne doit rien avoir dans sources.list.d, sauf metasploit peut étre, plus les trucs rajoutés manuellement, comme des depots supplèmentaires
« Modifié: 13 janvier 2019 à 23:07:43 par snk »
A l'époque c'était système_D (Comme démerdes-toi!)
On ne gagne pas sa Liberté , On choisi de la prendre!
Membre du P.L.F, Bill Gate$ suck'$.
Anti GAFAM - Brûlons les tous!
Eux, c'est les pommes, et vous les poires...

Hors ligne Frenchcore44
  • Membre régulier
  • **
  • Messages: 97
  • +2/-0
Re : sudo parrot-upgrade erreur Parrot Security
« Réponse #5 le: 13 janvier 2019 à 21:57:14 »
Re sa a changer de nom je crois s'appelle gestionnaire de paquet  synaptic, si c'est bien ça

sudo: software-properties-gtk : commande introuvable


>l3$ 3l1t3$ 0l1garc1qu3$ m0nd1al1st3 et l3ur$ ma1tr3s 0ccult3s v0us r3m3rc13nts d3 v0tr3 part1c1pat10ns à l'av3nc33 d3 la m1s3 3n plac3 du n0uv3l 0rdr3 m0ndial
 
0rd0 Ab Cha0 / P0ur V0tr3 S3cur1t3 V0u$ N' @ur3z P1u$ D3 L1b1t33 / Qu1 @pp@rti3nt L3 p@ss3 @pp@rti3nt L3 Pr3s3nt / % P0ur M13uX R3gn3r

En ligne Snk

  • Modérateur
  • Membre Elite
  • *****
  • Messages: 1675
  • +112/-1
  • Multiboot Linux - Kali en Amateur - python(A)
Re : sudo parrot-upgrade erreur Parrot Security
« Réponse #6 le: 13 janvier 2019 à 22:12:50 »
Non, je ne parle pas de synaptic.
Dans tes applis, si tu tapes logiciel, ça dis quoi??
sinon, ça doit etre dans systeme...
A l'époque c'était système_D (Comme démerdes-toi!)
On ne gagne pas sa Liberté , On choisi de la prendre!
Membre du P.L.F, Bill Gate$ suck'$.
Anti GAFAM - Brûlons les tous!
Eux, c'est les pommes, et vous les poires...

Hors ligne Frenchcore44
  • Membre régulier
  • **
  • Messages: 97
  • +2/-0
Re : sudo parrot-upgrade erreur Parrot Security
« Réponse #7 le: 13 janvier 2019 à 22:23:07 »
Re, je ne trouve pas :/

J'essayer de recherche en bas à droite dans menu > tout > logiciel et mise à jour  > Aucun resultat
J'ai que trouve les gestionnaire de paquet aucun par rapport au serveur

Après j'ai cherche dans Système > Centre de controle > mise a jour ou logicel > Aucun  resultat
>l3$ 3l1t3$ 0l1garc1qu3$ m0nd1al1st3 et l3ur$ ma1tr3s 0ccult3s v0us r3m3rc13nts d3 v0tr3 part1c1pat10ns à l'av3nc33 d3 la m1s3 3n plac3 du n0uv3l 0rdr3 m0ndial
 
0rd0 Ab Cha0 / P0ur V0tr3 S3cur1t3 V0u$ N' @ur3z P1u$ D3 L1b1t33 / Qu1 @pp@rti3nt L3 p@ss3 @pp@rti3nt L3 Pr3s3nt / % P0ur M13uX R3gn3r

En ligne Snk

  • Modérateur
  • Membre Elite
  • *****
  • Messages: 1675
  • +112/-1
  • Multiboot Linux - Kali en Amateur - python(A)
Re : sudo parrot-upgrade erreur Parrot Security
« Réponse #8 le: 13 janvier 2019 à 22:28:26 »
tape ou tu etais juste logiciel... il dois y avoir 2 ou 3 resultats
A moins que ça ai changé, sur le 10 ça y etais me semble-t'il...
A l'époque c'était système_D (Comme démerdes-toi!)
On ne gagne pas sa Liberté , On choisi de la prendre!
Membre du P.L.F, Bill Gate$ suck'$.
Anti GAFAM - Brûlons les tous!
Eux, c'est les pommes, et vous les poires...

Hors ligne Frenchcore44
  • Membre régulier
  • **
  • Messages: 97
  • +2/-0
Re : sudo parrot-upgrade erreur Parrot Security
« Réponse #9 le: 13 janvier 2019 à 22:31:45 »
Pariel aucun resultas sa du changer de nom surment
>l3$ 3l1t3$ 0l1garc1qu3$ m0nd1al1st3 et l3ur$ ma1tr3s 0ccult3s v0us r3m3rc13nts d3 v0tr3 part1c1pat10ns à l'av3nc33 d3 la m1s3 3n plac3 du n0uv3l 0rdr3 m0ndial
 
0rd0 Ab Cha0 / P0ur V0tr3 S3cur1t3 V0u$ N' @ur3z P1u$ D3 L1b1t33 / Qu1 @pp@rti3nt L3 p@ss3 @pp@rti3nt L3 Pr3s3nt / % P0ur M13uX R3gn3r

En ligne Snk

  • Modérateur
  • Membre Elite
  • *****
  • Messages: 1675
  • +112/-1
  • Multiboot Linux - Kali en Amateur - python(A)
Re : sudo parrot-upgrade erreur Parrot Security
« Réponse #10 le: 13 janvier 2019 à 22:36:27 »
okay, sinon avec le gestionnaire de fichier, tu vas en /etc/apt
tu dois voir sources.list et si dans la case type il y a ecrit "software sources list", avec un clic droit tu devrais avoir, ouvrir avec software... regardes voir
A l'époque c'était système_D (Comme démerdes-toi!)
On ne gagne pas sa Liberté , On choisi de la prendre!
Membre du P.L.F, Bill Gate$ suck'$.
Anti GAFAM - Brûlons les tous!
Eux, c'est les pommes, et vous les poires...

En ligne Snk

  • Modérateur
  • Membre Elite
  • *****
  • Messages: 1675
  • +112/-1
  • Multiboot Linux - Kali en Amateur - python(A)
Re : sudo parrot-upgrade erreur Parrot Security
« Réponse #11 le: 13 janvier 2019 à 22:40:22 »
Sinon tu fais:
sudo apt install software-properties-gtk
La au moins tu l'auras
A l'époque c'était système_D (Comme démerdes-toi!)
On ne gagne pas sa Liberté , On choisi de la prendre!
Membre du P.L.F, Bill Gate$ suck'$.
Anti GAFAM - Brûlons les tous!
Eux, c'est les pommes, et vous les poires...

Hors ligne Frenchcore44
  • Membre régulier
  • **
  • Messages: 97
  • +2/-0
Re : sudo parrot-upgrade erreur Parrot Security
« Réponse #12 le: 13 janvier 2019 à 22:49:45 »
Re dans /etc/apt/

cat sources.list videComme écrit sur le site parrot

at sources.list.parrot
# This file is empty, feel free to
# add here your custom APT repositories

# The standard Parrot repositories
# are NOT here. If you want to
# edit them, take a look into
#                /etc/apt/sources.list.d/parrot.list



# If you want to change the
# default parrot repositories by selectng
# another localized mirror,
# then use the command
#                     parrot-mirror-selector
#
# and see its usage message to
# know what mirrors are available

cat parrot.list
deb http://deb.parrotsec.org/parrot/ stable main contrib non-free

Sinon pour
sudo apt install software-properties-gtk
[sudo] Mot de passe de qzlmr : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Aucune version du paquet software-properties-gtk n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source

E: Le paquet « software-properties-gtk » n'a pas de version susceptible d'être installée


Mais pas grave tkt au pire je metterais kali a la place mais sa fait chier j'aimer bien parrot, je vais allez me couchez sinon ceux merci de ton aide A+

>l3$ 3l1t3$ 0l1garc1qu3$ m0nd1al1st3 et l3ur$ ma1tr3s 0ccult3s v0us r3m3rc13nts d3 v0tr3 part1c1pat10ns à l'av3nc33 d3 la m1s3 3n plac3 du n0uv3l 0rdr3 m0ndial
 
0rd0 Ab Cha0 / P0ur V0tr3 S3cur1t3 V0u$ N' @ur3z P1u$ D3 L1b1t33 / Qu1 @pp@rti3nt L3 p@ss3 @pp@rti3nt L3 Pr3s3nt / % P0ur M13uX R3gn3r

En ligne Snk

  • Modérateur
  • Membre Elite
  • *****
  • Messages: 1675
  • +112/-1
  • Multiboot Linux - Kali en Amateur - python(A)
Re : sudo parrot-upgrade erreur Parrot Security
« Réponse #13 le: 13 janvier 2019 à 22:58:13 »
Donc tu peux plus l'install... dommage c'est vraiment pratique!
Pour parrot, il n'y a plus rien dans le sources.list? tout est dans sources.list.d? si j'ai bien compris?? c'est bizarre mais bon, pourquoi pas... c'est install en dur si j'ai bien compris..

Le truc le plus louche c'est que quand tu lance la maj, il te parle du local (127.0.0. ), n'aurait tu pas un soucis de reseau?? Arrives-tu a ping google par exemple? ou essaies un wget parrot.org, voir si ça marche..

ps: pour /etc/apt je ne parlais pas avec le terminal, mais avec le gestionnaire de fichier, afin de voir si pour sources.list.d dans la case type il y a ecrit "software sources list", avec un clic droit tu devrais avoir, ouvrir avec software.
« Modifié: 13 janvier 2019 à 23:56:58 par snk »
A l'époque c'était système_D (Comme démerdes-toi!)
On ne gagne pas sa Liberté , On choisi de la prendre!
Membre du P.L.F, Bill Gate$ suck'$.
Anti GAFAM - Brûlons les tous!
Eux, c'est les pommes, et vous les poires...

Hors ligne Frenchcore44
  • Membre régulier
  • **
  • Messages: 97
  • +2/-0
Re : sudo parrot-upgrade erreur Parrot Security
« Réponse #14 le: 14 janvier 2019 à 00:21:10 »
Re j'avait juste repecter les consignes sur le site parrot

ping 8.8.8.8
PING 8.8.8.8 (8.8.8.8) 56(84) bytes of data.
64 bytes from 8.8.8.8: icmp_seq=1 ttl=121 time=34.7 ms
64 bytes from 8.8.8.8: icmp_seq=2 ttl=121 time=35.0 ms
64 bytes from 8.8.8.8: icmp_seq=3 ttl=121 time=33.9 ms
64 bytes from 8.8.8.8: icmp_seq=4 ttl=121 time=34.0 ms
64 bytes from 8.8.8.8: icmp_seq=5 ttl=121 time=34.5 ms
64 bytes from 8.8.8.8: icmp_seq=6 ttl=121 time=33.3 ms
64 bytes from 8.8.8.8: icmp_seq=7 ttl=121 time=35.3 ms
64 bytes from 8.8.8.8: icmp_seq=8 ttl=121 time=34.3 ms

wget parrot
--2019-01-14 00:19:15--  http://parrot/
Résolution de parrot (parrot)… 127.0.1.1
Connexion à parrot (parrot)|127.0.1.1|:80… échec : Connexion refusée.
>l3$ 3l1t3$ 0l1garc1qu3$ m0nd1al1st3 et l3ur$ ma1tr3s 0ccult3s v0us r3m3rc13nts d3 v0tr3 part1c1pat10ns à l'av3nc33 d3 la m1s3 3n plac3 du n0uv3l 0rdr3 m0ndial
 
0rd0 Ab Cha0 / P0ur V0tr3 S3cur1t3 V0u$ N' @ur3z P1u$ D3 L1b1t33 / Qu1 @pp@rti3nt L3 p@ss3 @pp@rti3nt L3 Pr3s3nt / % P0ur M13uX R3gn3r